﻿@model FacultadViewModel

<h2>Cursos En Facultad @Html.DisplayFor(model => model.Nombre) </h2>

<table class="table">
    <thead>
        <tr>
            <th>
                Id
            </th>
            <th>
                Nombre
            </th>
            <th>
                Descripcion
            </th>
        </tr>
    </thead>
    <tbody>
        @if (Model.Cursos != null && Model.Cursos.Any())
        {
            @foreach (var curso in Model.Cursos)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(u => curso.Id)
                    </td>
                    <td>
                        @Html.DisplayFor(u => curso.Nombre)
                    </td>
                    <td>
                        @Html.DisplayFor(u => curso.Descripcion)
                    </td>
                </tr>
            }
        }
        else
        {
            <tr>
                <td>
                    Esta facultad no tiene cursos por el momento.          @Html.ActionLink("Crear Nuevo Curso", "add", "curso")
                </td>
            </tr>
        }
    </tbody>
</table>

@Html.ActionLink("Agregar Curso a esta facultad", "selecionCurso", "facultad", new { id = Model.Id })
